Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 137806 - Add Open With... option for unrecognised mimetypes
Summary: Add Open With... option for unrecognised mimetypes
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2004-11-01 17:04 UTC by Tom Duffy
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-12 00:16:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 232972 None None None Never

Description Tom Duffy 2004-11-01 17:04:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.3)
Gecko/20041020 Epiphany/1.4.4

Description of problem:
Whenever somebody sends me a .doc from Solaris Mozilla 1.4
(User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.4)
Gecko/20040414), it sets the mime type of the attachment to
application/soffice which doesn't have a registered viewer in gnome by
default, so Evolution does not know how to open it (I have to save the
file to disk and open it manually).

-tduffy

Version-Release number of selected component (if applicable):
openoffice.org-1.1.2-10

How reproducible:
Always

Steps to Reproduce:
1. receive email with attachment type application/soffice
2. try to open the attachment
3 [details]. nothing is associated, only "Save as" offered as choice
    

Actual Results:  Have to save file to disk and open manually

Expected Results:  Have option to launch in Openoffice.org

Additional info:

Comment 1 Dave Malcolm 2004-11-01 20:17:46 UTC
Looks more like an evolution issue than an oo.org one; reassigning to
me and setting component accordingly

Comment 2 Tom Duffy 2005-03-14 19:01:46 UTC
Also, please add application/staroffice as this is also one that is sent.

Comment 3 Dave Malcolm 2005-08-18 04:29:28 UTC
Evolution should have an Open With.. option for mimetypes it doesn't recognise;
changing Summary field accordingly.

Comment 4 Tejas Dinkar 2005-08-19 04:38:10 UTC
not an x86_64 bug

It is also true with .wmv files, in firefox

Comment 5 Dave Malcolm 2006-01-12 00:16:00 UTC
Bug has been filed upstream here:
http://bugzilla.gnome.org/show_bug.cgi?id=232972

Resolving as UPSTREAM


Note You need to log in before you can comment on or make changes to this bug.